/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_ALA                                                      */
/* Tabela : ALA                                                               */
/*                                                                            */
/* Criao:                                                                   */
/* 02/01/2005 - Jonathan Abdon Silva                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_ALA'  and
            type = 'TR'                 and
            u.uid = o.uid               and
            u.name = USER)
  DROP TRIGGER DTULTATU_ALA
  GO

CREATE TRIGGER DTULTATU_ALA
ON ALA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                  (SELECT 'ALA', CDFILIAL, 'CDALA='+ CDALA +'; CDFILIAL='+ CDFILIAL +';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ALA
      SET DTULTATUALA = GETDATE()
      FROM INSERTED
      WHERE
         (ALA.CDALA    = INSERTED.CDALA   ) AND
         (ALA.CDFILIAL = INSERTED.CDFILIAL)
   END;
END;
GO



